apiVersion: v1
kind: Pod
metadata:
  name: require-run-as-non-root-bad-1
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A18
spec:
  containers:
  - name: require-run-as-non-root-bad-1
    image: nginxinc/nginx-unprivileged
  initContainers:
  - name: require-non-root-groups-bad-1-init
    image: nginxinc/nginx-unprivileged
    command: ['sh', '-c', 'sleep 1']
    securityContext:
      runAsNonRoot: true
---
apiVersion: v1
kind: Pod
metadata:
  name: require-run-as-non-root-bad-2
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A18
spec:
  containers:
  - name: require-run-as-non-root-bad-2
    image: nginxinc/nginx-unprivileged
    securityContext:
      runAsNonRoot: true
  initContainers:
  - name: require-non-root-groups-bad-2-init
    image: nginxinc/nginx-unprivileged
    command: ['sh', '-c', 'sleep 1']
---
apiVersion: v1
kind: Pod
metadata:
  name: require-run-as-non-root-bad-3
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
    policies.opencode.de/bsi-requirement: SYS.1.6.A18
spec:
  containers:
  - name: require-run-as-non-root-bad-3
    image: nginxinc/nginx-unprivileged
